Skip to main content
POST
/
agents
Create Agent
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "name": "Customer Support Agent",
  "description": "AI-powered customer support agent for handling inquiries",
  "voice_id": "voice_c7d82fec-c",
  "model": "gpt-4",
  "instructions": "You are a helpful customer support agent. Be friendly and professional.",
  "greeting": "Hello! How can I help you today?",
  "inactivity_message": "I'm still here if you need anything."
}
EOF
{
  "data": {
    "id": "agt_f9447372-5",
    "name": "Customer Support Agent",
    "description": "AI-powered customer support agent",
    "status": "active",
    "voice_id": "voice_c7d82fec-c",
    "model": "gpt-4",
    "instructions": "You are a helpful customer support agent.",
    "created_at": "2026-03-03T20:30:21.310278Z",
    "updated_at": "2026-03-03T20:30:21.310278Z"
  },
  "meta": {
    "request_id": "req_32e7531c-8",
    "timestamp": "2026-03-03T20:30:21.310278Z"
  }
}

Authorizations

Authorization
string
header
required

Your API key. Get it from the Truedy Dashboard. Send as: Authorization: Bearer <your_key>

Headers

X-Idempotency-Key
string | null

Body

application/json

Agent create payload for Public API; clerk_org_id is set from API key context.

name
string
required
Required string length: 1 - 100
voice_id
string
required

UUID of the voice to use

system_prompt
string
required
Minimum string length: 1
description
string | null
model
string
default:ultravox-v0.6
tools
string[] | null

List of tool IDs

knowledge_bases
string[] | null

List of knowledge base IDs

template_id
string | null

Template ID used to create this agent

call_template_name
string | null
greeting_settings
GreetingSettings · object
inactivity_messages
InactivityMessage · object[] | null
temperature
number | null
default:0.3
Required range: 0 <= x <= 1
language_hint
string | null
default:en-US

BCP47 language code

time_exceeded_message
string | null
recording_enabled
boolean | null
default:false
join_timeout
string | null
default:30s
max_duration
string | null
default:3600s
initial_output_medium
enum<string>
default:MESSAGE_MEDIUM_VOICE
Available options:
MESSAGE_MEDIUM_VOICE,
MESSAGE_MEDIUM_TEXT,
MESSAGE_MEDIUM_UNSPECIFIED
vad_settings
VADSettings · object
success_criteria
string | null
extraction_schema
Extraction Schema · object
crm_webhook_url
string | null
crm_webhook_secret
string | null

Response

Resource created successfully

Response body